import { PropType } from 'vue';
export declare const types: readonly ["date", "email", "number", "password", "text"];
export type Type = typeof types[number];
export declare const formControlProps: {
    type: {
        type: PropType<"number" | "date" | "email" | "password" | "text">;
        default: string;
        validator: (v: Type) => boolean;
    };
    size: {
        type: PropType<"sm" | "md" | "lg" | "xl">;
        default: string;
        validator: (v: "sm" | "md" | "lg" | "xl") => boolean;
    };
    modelValue: {
        type: StringConstructor;
        default: string;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    plainText: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    autofocus: {
        type: BooleanConstructor;
        default: boolean;
    };
};
